Subject: Re: Bug report - sparse-checkout ignores prefix when run in subdirectories

From: Junio C Hamano <[email-masked]>
Date: Wed, 05 Jan 2022 16:17:29 -0800

Elijah Newren <[email-masked]> writes:

> Are you possibly confusing pathspecs with gitignore patterns here?
> (Or am I?)  Or are you suggesting that sparse-checkout be modified to
> accept either gitignore-style files or pathspecs and handle both?

Much closer to the latter (actually, removing ignore patterns, and
make the subsystem work with pathspecs).

> I have never liked that gitignore-style patterns were used for
> sparse-checkout, but it has always seemed a bit too late to change it.

Perhaps.

> Ever since Stolee introduced cone-mode, my preferred strategy for
> fixing the gitignore-style patterns problem, assuming we are allowed
> to do so, is to deprecate if not kill non-cone mode.  (And in the
> meantime, I'm just doing due diligence when I mention non-cone mode in
> my reviews.)